Update a document pack Run in API Explorer
Ask AI
PUT
/api/v1/document-pack/document-pack/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/document-pack/document-pack/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Terms and Conditions",
"description": "Terms and Conditions for our services",
"is_template": true
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Terms and Conditions",
"description": "Terms and Conditions for our services",
"is_template": true
}
Response examples (200)
{
"data": [
{
"uuid": "1f410120-ed4c-408a-a0e9-da479b7abba2",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "6b8fce77-aa00-494e-8ab8-902196f9775b",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"valued_at": "2026-11-19T12:59:40+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "88aac027-a012-46f4-8ba8-b78820cf3ead",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "91320714-3b27-4303-b6c1-c5f54c7e467e",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"is_proposed": true,
"proposed_at": "2026-11-19T00:00:00+00:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}